/* color.h
 * Copyright (C) 2004 Djukic Marko, Pernus Klemen, Zagar Miha
 * For conditions of distribution and use, see the copyright notice in main.cpp
 */
#ifndef _COLOR_H_
#define _COLOR_H_

class Color {
private:
	//pove ali je tocka raznicna od bele barve (255,255,255)
	unsigned char set; 
public:
	//red green blue barvne komponente
	unsigned char r, g, b;
	//ustvari crno barvo
	Color();
	//ustvari barvo z vrdnostmi r,g,b
	Color(unsigned char _r, unsigned char _g, unsigned char _b);
	//spremeni barvo na r,g,b
	void set_color(unsigned char _r, unsigned char _g, unsigned char _b);
	//vrne crno belo barvo
	unsigned char to_grey();
	//vrne 1 ce je barva razlicna od crne (0,0,0)
	unsigned char is_set();
};

#endif //_COLOR_H_