/* point.cpp
 * Copyright (C) 2004 Djukic Marko, Pernus Klemen, Zagar Miha
 * For conditions of distribution and use, see the copyright notice in main.cpp
 */
#include "point.h"

Point::Point() {
	x = y = 0;
}

Point::Point(int a, int b) {
	x = a;
	y = b;
}

Point::Point(Point *t) {
	x = t->x;
	y = t->y;
}

void Point::move_by(int dx,int dy) {
	x += dx;
	y += dy;
}

void Point::move_by(Point *dp) {
	x += dp->x;
	y += dp->y;
}

void Point::move_to(int _x, int _y) {
	x = _x;
	y = _y;
}

void Point::move_to(Point *np) {
	x = np->x;
	y = np->y;
}
